---
title: CSSSkew()
slug: Web/API/CSSSkew/CSSSkew
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSSkew
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkew()</code></strong> constructor creates a new {{domxref("CSSSkew")}} object which represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skew()">skew()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSSkew</var> = new CSSSkew(<em>ax</em>, <em>ay</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>{{domxref('CSSSkew.ax','ax')}}</dt>
	<dd>A value for the <code>ax</code> angle of the {{domxref('CSSSkew')}} object to be constructed. This must be a {{domxref('CSSNumericValue')}}.</dd>
	<dt>{{domxref('CSSSkew.ay','ay')}}</dt>
	<dd>A value for the <code>ay</code> of the {{domxref('CSSSkew')}} object to be constructed. This must be a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#dom-cssskew-cssskew','cssskew()')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkew.CSSSkew")}}</p>
